Subject: bug#36649: 27.0.50; pure space and pdumper

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jul 2022 20:11:23 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sat, 02 Jul 2022 12:57:09 -0400
> 
> >> > Basically, I don't want us to drop the pure space in the unexec
> >> > builds, whether it makes sense to the rest of you or not.
> >> Could you explain why?
> > Because I don't want to invest any significant effort in maintaining
> > the unexec build.
> 
> The patch does not touch the unexec code at all.

It "touches" the unexec code in that it removes purespace, and thus
changes the behavior of the unexec build.  I don't want to deal with
consequences of such a change.

> If anything, it should make unexec simpler to maintain, since there's
> one less issue to worry about (the current code might have to worry
> about dumping the normal heap plus the purespace, whereas the new code
> only has to worry about the normal heap), but `grep -i pur src/unex*.c`
> suggests that the purespace has never had any impact on unexec.

I'm not convinced, sorry.

> > No, I'm okay with having the purespace removed from the pdumper
> > builds, if the unexec build can still use it.  AFAIU, that's the
> > "behind several ifdefs" alternative.
> 
> I don't know how to remove the purespace in pdump builds and not in
> unexec builds.  I don't even know what that would mean and/or look
> like.

Po Lu said it should be simple, so maybe he will propose a patch?

> Would the patch below be acceptable?

No, because it removes purespace unconditionally.